<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="dfu__user_8h" kind="file" language="C++">
    <compoundname>dfu_user.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="yes">cy_flash.h</includes>
    <includedby local="yes" refid="cy__dfu_8h">cy_dfu.h</includedby>
    <incdepgraph>
      <node id="9">
        <label>stdint.h</label>
      </node>
      <node id="10">
        <label>cy_flash.h</label>
      </node>
      <node id="8">
        <label>dfu_user.h</label>
        <link refid="dfu__user_8h" />
        <childnode refid="9" relation="include">
        </childnode>
        <childnode refid="10" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__group__dfu__macro__config_1ga21b70d16eb321a6d2010b92c8584b782" kind="define" prot="public" static="no">
        <name>CY_DFU_SIZEOF_CMD_BUFFER</name>
        <initializer>(CY_FLASH_SIZEOF_ROW + 16u)</initializer>
        <briefdescription>
<para>The size of a buffer to hold DFU commands. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" bodystart="33" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" line="33" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__config_1ga01f0e598d60b05879166f93ef38cecee" kind="define" prot="public" static="no">
        <name>CY_DFU_SIZEOF_DATA_BUFFER</name>
        <initializer>(CY_FLASH_SIZEOF_ROW + 16u)</initializer>
        <briefdescription>
<para>The size of a buffer to hold an NVM row of data to write or verify. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" bodystart="36" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" line="36" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__config_1ga93f01cd0c868966a20c08369779fc707" kind="define" prot="public" static="no">
        <name>CY_DFU_OPT_GOLDEN_IMAGE</name>
        <initializer>(0)</initializer>
        <briefdescription>
<para>Set to non-zero for the DFU SDK Program Data command to check if the Golden image is going to be overwritten while updating. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" bodystart="42" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" line="42" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__config_1gaadc5be8ec2c8b42394ca06ffb123c023" kind="define" prot="public" static="no">
        <name>CY_DFU_GOLDEN_IMAGE_IDS</name>
        <param />
        <initializer>0u</initializer>
        <briefdescription>
<para>List of Golden Image Application IDs. </para>        </briefdescription>
        <detaileddescription>
<para>Here "Golden Image Application" means an application that cannot be changed with CommandProgramData()</para><para>Usage. Define the list of Golden Image Application IDs without enclosing parenthesis, e.g. <programlisting><codeline><highlight class="normal">#define<sp />CY_DFU_GOLDEN_IMAGE_IDS()<sp /><sp /><sp /><sp /><sp />0u,<sp />1u,<sp />3u<sp /></highlight></codeline>
</programlisting> later it is used in cy_dfu.c file: <programlisting><codeline><highlight class="normal">uint8_t<sp />goldenImages[]<sp />=<sp />{<sp />CY_DFU_GOLDEN_IMAGE_IDS()<sp />};<sp /></highlight></codeline>
</programlisting> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" bodystart="55" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" line="55" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__config_1ga487852a71d1a8c882522140a17a6265e" kind="define" prot="public" static="no">
        <name>CY_DFU_MAX_APPS</name>
        <initializer>(2u)</initializer>
        <briefdescription>
<para>The number of applications in the metadata, for 512 bytes in a flash row - 63 is the maximum possible value, because 4 bytes are reserved for the entire metadata CRC. </para>        </briefdescription>
        <detaileddescription>
<para>The smallest metadata size if CY_DFU_MAX_APPS * 8 (bytes per one app) + 4 (bytes for CRC-32C) </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" bodystart="64" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" line="64" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__config_1ga5d9f0c6e9aef143e22b2673918478ee0" kind="define" prot="public" static="no">
        <name>CY_DFU_OPT_VERIFY_DATA</name>
        <initializer>(1)</initializer>
        <briefdescription>
<para>A non-zero value enables the Verify Data DFU command. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" bodystart="68" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" line="68" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__config_1ga7ff76ef4e8b933a17e395b79b1aa41b0" kind="define" prot="public" static="no">
        <name>CY_DFU_OPT_ERASE_DATA</name>
        <initializer>(1)</initializer>
        <briefdescription>
<para>A non-zero value enables the Erase Data DFU command. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" bodystart="71" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" line="71" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__config_1gacc89d6371efc0645d9785b9af11a2038" kind="define" prot="public" static="no">
        <name>CY_DFU_OPT_VERIFY_APP</name>
        <initializer>(1)</initializer>
        <briefdescription>
<para>A non-zero value enables the Verify App DFU command. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" bodystart="74" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" line="74" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__config_1gab0c72281ffb51f731d90eeea936ac916" kind="define" prot="public" static="no">
        <name>CY_DFU_OPT_SEND_DATA</name>
        <initializer>(1)</initializer>
        <briefdescription>
<para>A non-zero value enables the Send Data DFU command. </para>        </briefdescription>
        <detaileddescription>
<para>If the "Send Data" DFU command is enabled, packetBuffer and dataBuffer must be non-overlapping.</para><para>Else, dataBuffer must be inside packetBuffer with an offset of CY_DFU_PACKET_DATA_IDX, typically 4 bytes. <linebreak />
params-&gt;dataBuffer = &amp;packetBuffer[4]; <linebreak />
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;that packetBuffer in this case must be 4 bytes aligned, as dataBuffer is required to be 4 bytes aligned. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" bodystart="87" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" line="87" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__config_1gaaca2aef06365626f3af0b14fd6e32731" kind="define" prot="public" static="no">
        <name>CY_DFU_OPT_GET_METADATA</name>
        <initializer>(1)</initializer>
        <briefdescription>
<para>A non-zero value enables the Get Metadata DFU command. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" bodystart="90" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" line="90" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__config_1ga8ddeedbbaaf29a163d6f97eeaed5cd1b" kind="define" prot="public" static="no">
        <name>CY_DFU_OPT_SET_EIVECTOR</name>
        <initializer>(0)</initializer>
        <briefdescription>
<para>A non-zero value enables the Set EI Vector DFU command. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" bodystart="93" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" line="93" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__config_1ga9a6f60e539f696d9fc4b895d0f3a05fe" kind="define" prot="public" static="no">
        <name>CY_DFU_METADATA_WRITABLE</name>
        <initializer>(1)</initializer>
        <briefdescription>
<para>A non-zero value allows writing metadata with the Set App Metadata DFU command. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" bodystart="99" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" line="99" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__config_1gaf26d1e1c21482dd7e3e41c2b24c22637" kind="define" prot="public" static="no">
        <name>CY_DFU_OPT_CRYPTO_HW</name>
        <initializer>(0)</initializer>
        <briefdescription>
<para>Non-zero value enables the usage of hardware Crypto API. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" bodystart="102" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" line="102" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__config_1ga143573a13abbb1bf5c430f6f663492e7" kind="define" prot="public" static="no">
        <name>CY_DFU_OPT_PACKET_CRC</name>
        <initializer>(0)</initializer>
        <briefdescription>
<para>A non-zero value enables the usage of CRC-16 for DFU packet verification. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" bodystart="105" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" line="105" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>4.0</para></simplesect>
This file provides declarations that can be modified by the user but are used by the DFU SDK.</para><para><simplesect kind="copyright"><para>Copyright 2016-2019, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="16"><highlight class="preprocessor">#if<sp />!defined(DFU_USER_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="17"><highlight class="normal" /><highlight class="preprocessor">#define<sp />DFU_USER_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_flash.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="comment">/*<sp />16<sp />bytes<sp />is<sp />a<sp />maximum<sp />overhead<sp />of<sp />a<sp />DFU<sp />packet<sp />and<sp />additional<sp />data<sp />for<sp />the<sp />Program<sp />Data<sp />command<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_DFU_SIZEOF_CMD_BUFFER<sp /><sp />(CY_FLASH_SIZEOF_ROW<sp />+<sp />16u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="preprocessor">#define<sp />CY_DFU_SIZEOF_DATA_BUFFER<sp />(CY_FLASH_SIZEOF_ROW<sp />+<sp />16u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="preprocessor">#define<sp />CY_DFU_OPT_GOLDEN_IMAGE<sp /><sp /><sp /><sp />(0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="preprocessor">#define<sp />CY_DFU_GOLDEN_IMAGE_IDS()<sp /><sp />0u</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="preprocessor">#define<sp />CY_DFU_MAX_APPS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(2u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="preprocessor">#define<sp />CY_DFU_OPT_VERIFY_DATA<sp /><sp /><sp /><sp /><sp />(1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="preprocessor">#define<sp />CY_DFU_OPT_ERASE_DATA<sp /><sp /><sp /><sp /><sp /><sp />(1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="preprocessor">#define<sp />CY_DFU_OPT_VERIFY_APP<sp /><sp /><sp /><sp /><sp /><sp />(1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="preprocessor">#define<sp />CY_DFU_OPT_SEND_DATA<sp /><sp /><sp /><sp /><sp /><sp /><sp />(1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="preprocessor">#define<sp />CY_DFU_OPT_GET_METADATA<sp /><sp /><sp /><sp />(1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="preprocessor">#define<sp />CY_DFU_OPT_SET_EIVECTOR<sp /><sp /><sp /><sp />(0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="preprocessor">#define<sp />CY_DFU_METADATA_WRITABLE<sp /><sp /><sp />(1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="preprocessor">#define<sp />CY_DFU_OPT_CRYPTO_HW<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="preprocessor">#define<sp />CY_DFU_OPT_PACKET_CRC<sp /><sp /><sp /><sp /><sp /><sp />(0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="preprocessor">#if<sp />!defined(CY_DOXYGEN)</highlight><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#if<sp />defined(__ARMCC_VERSION)</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#include<sp />"dfu_common.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#define<sp />CY_DFU_SIGNATURE_SIZE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_BOOT_SIGNATURE_SIZE</highlight><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#define<sp />CY_DFU_APP0_VERIFY_START<sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_APP0_FLASH_ADDR<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#define<sp />CY_DFU_APP0_VERIFY_LENGTH<sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_APP0_FLASH_LENGTH<sp />-<sp />CY_DFU_SIGNATURE_SIZE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#define<sp />CY_DFU_APP1_VERIFY_START<sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_APP1_FLASH_ADDR<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#define<sp />CY_DFU_APP1_VERIFY_LENGTH<sp /><sp /><sp /><sp /><sp /><sp />(<sp />CY_APP1_FLASH_LENGTH<sp />-<sp />CY_DFU_SIGNATURE_SIZE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#elif<sp />defined(__GNUC__)<sp />||<sp />defined(__ICCARM__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*</highlight></codeline>
<codeline lineno="121"><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*<sp />These<sp />variables<sp />are<sp />defined<sp />in<sp />the<sp />linker<sp />scripts,<sp />the<sp />values<sp />of<sp />their<sp />addresses<sp />define</highlight></codeline>
<codeline lineno="122"><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*<sp />corresponding<sp />applications<sp />start<sp />address<sp />and<sp />length.</highlight></codeline>
<codeline lineno="123"><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">extern</highlight><highlight class="normal"><sp />uint8_t<sp />__cy_app0_verify_start;</highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">extern</highlight><highlight class="normal"><sp />uint8_t<sp />__cy_app0_verify_length;</highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">extern</highlight><highlight class="normal"><sp />uint8_t<sp />__cy_app1_verify_start;</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">extern</highlight><highlight class="normal"><sp />uint8_t<sp />__cy_app1_verify_length;</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">extern</highlight><highlight class="normal"><sp />uint8_t<sp />__cy_boot_signature_size;</highlight></codeline>
<codeline lineno="129"><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#define<sp />CY_DFU_APP0_VERIFY_START<sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />(uint32_t)&amp;__cy_app0_verify_start<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#define<sp />CY_DFU_APP0_VERIFY_LENGTH<sp /><sp /><sp /><sp /><sp /><sp />(<sp />(uint32_t)&amp;__cy_app0_verify_length<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#define<sp />CY_DFU_APP1_VERIFY_START<sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />(uint32_t)&amp;__cy_app1_verify_start<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#define<sp />CY_DFU_APP1_VERIFY_LENGTH<sp /><sp /><sp /><sp /><sp /><sp />(<sp />(uint32_t)&amp;__cy_app1_verify_length<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#define<sp />CY_DFU_SIGNATURE_SIZE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(<sp />(uint32_t)&amp;__cy_boot_signature_size<sp />)</highlight><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#error<sp />"Not<sp />implemented<sp />for<sp />this<sp />compiler"</highlight><highlight class="normal" /></codeline>
<codeline lineno="137"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#endif<sp /></highlight><highlight class="comment">/*<sp />defined(__CC_ARM)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />!defined(CY_DOXYGEN)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal">}</highlight></codeline>
<codeline lineno="142"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />!defined(DFU_USER_H)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/config/dfu_user.h" />
  </compounddef>
</doxygen>